import Qt 4.7

/* FIXME: unfinished */
FocusScope {
    id: connection_editor

    signal exited

    property QLauncherApplication application

    /* Close any connection editor application when exiting */
    onExited: {
        if(application != null && application.running)
            application.close()
    }

    Connections {
        target: application
        onRunningChanged: if(!application.running) connection_editor.exited()
    }

    Row {

        anchors.left: parent.left
        anchors.leftMargin: 60
        anchors.top: parent.top
        anchors.topMargin: 40
        spacing: 20

        Image {
            id: icon

            source: application ? "image://icons/"+application.icon_name : source
            width: 64
            height: 64
            sourceSize.width: width
            sourceSize.height: height

            Image {
                id: settings

                source: "artwork/cog.png"
                asynchronous: true
                smooth: false
                fillMode: Image.PreserveAspectFit
                width: sourceSize.width - 12
                height: sourceSize.width
                opacity: 0.8
                anchors.fill: parent
            }
        }

        Item {
            id: labels

            anchors.verticalCenter: icon.verticalCenter
            width: childrenRect.width
            height: childrenRect.height

            TextCustom {
                id: title

                text: application ? "New " + application.name : text
                width: paintedWidth
                height: paintedHeight
            }

            TextCustom {
                id: loading
                text: "Home Screen"
                font.pointSize: 10

                anchors.top: title.bottom
                width: paintedWidth
                height: paintedHeight
            }
        }
    }
}
