import Qt 4.7

/* ApplicationItem augmented with overlaid contextual actions.

   FIXME: unfinished
*/
ApplicationsItem {
    id: root

    property bool contextual_actions_visible: false

    signal removeClicked

    Item {
        id: contextual_actions

        opacity: contextual_actions_visible ? 1 : 0
        Behavior on opacity {NumberAnimation {duration: 200; easing.type: Easing.InOutQuad}}

        anchors.fill: parent

        Image {
            id: settings

            source: "artwork/cog.png"
            asynchronous: true
            smooth: false
            fillMode: Image.PreserveAspectFit
            width: sourceSize.width - 12
            height: sourceSize.width
            opacity: 0.8
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
        }

        Image {
            id: remove

            source: "artwork/delete.png"
            asynchronous: true
            smooth: true
            fillMode: Image.PreserveAspectFit
            width: sourceSize.width
            height: sourceSize.height
            /* FIXME: we really want to anchor it to 'background' instead */
            y: parent.height*0.55
            anchors.right: parent.right
            anchors.rightMargin: -28

            scale: mouse.containsMouse ? 1.0 : 0.8
            Behavior on scale {NumberAnimation {duration: 100; easing.type: Easing.InOutQuad}}

            MouseArea {
                id: mouse

                anchors.fill: parent
                hoverEnabled: true
                onClicked: root.removeClicked()
            }
        }
    }
}
