#include "launcherdeclarativeview.h"
#include <QDesktopWidget>
#include <QApplication>

LauncherDeclarativeView::LauncherDeclarativeView() :
    QDeclarativeView()
{
}

void
LauncherDeclarativeView::fitToScreenSize(int screen)
{
    QDesktopWidget *desktop = QApplication::desktop();
    int current_screen = desktop->screenNumber(this);

    if(screen == current_screen)
        resize(desktop->screen(current_screen)->size());
}
