import Qt 4.7
import QtMobility.publishsubscribe 1.0
import Qt.labs.folderlistmodel 1.0

/* FIXME: unfinished */
Page {
    /* Close any settings application when hiding the page */
    onExited: {
        if(settings.running_app != null)
            settings.running_app.close()
    }

    Image {
        id: title_icon

        anchors.left: parent.left
        anchors.leftMargin: 60
        anchors.top: parent.top
        anchors.topMargin: 40
        width: sourceSize.width
        height: sourceSize.height
        smooth: true
        source: "artwork/settings.png"
    }

    TextCustom {
        id: title

        anchors.left: title_icon.right
        anchors.leftMargin: 8
        anchors.top: parent.top
        anchors.topMargin: 40
        verticalAlignment: Text.AlignVCenter

        width: 200
        height: title_icon.height
        text: qsTr("System Settings")
    }

    /*
    ValueSpaceSubscriber {
        id: gconf_system_settings
        path: "/apps/hedley_launcher/system_settings/list"
    }
    */

    QFileSystemModelQML {
        id: desktop_files

        rootPath: "/usr/share/applications/wyse_settings/"
        nameFilters: ["*.desktop"]
        nameFilterDisables: false
    }

    ListView {
        id: settings

        property QLauncherApplication running_app

        width: 265

        clip: true
        anchors.left: title_icon.left
        anchors.top: title.bottom
        anchors.topMargin: 30
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 30
        orientation: ListView.Vertical
        spacing: 10
        focus: true
        currentIndex: 0

        //model: gconf_system_settings.value
        model: desktop_files

        delegate: SystemSettingsItem {
            property QLauncherApplication app

            //app: QLauncherApplication {desktop_file: model.modelData}
            app: QLauncherApplication {desktop_file: filePath}

            width: settings.width
            height: 50

            label: app.name
            icon: "image://icons/"+app.icon_name
            running: app.running
            onRunningChanged: {
                if(running && settings.running_app != app) settings.running_app.close()
                if(!running && settings.running_app == app) settings.running_app = null
            }

            onClicked: {
                if(settings.running_app == app)
                    return

                if(settings.running_app)
                    settings.running_app.close()

                app.setFrameless()
                app.launch()
                settings.running_app = app
            }
        }
    }
}
